SDL_ceil(3)

NAME
SDL_ceil - Compute the ceiling of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_ceil(double x);

DESCRIPTION
The ceiling of x is the smallest integer y such that y >= x, i.e x rounded up to the nearest integer.

Domain: -INF <= x <= INF

Range: -INF <= y <= INF, y integer

This function operates on double-precision floating point values, use SDL_ceilf for single-precision floats.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the ceiling of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ceilf(3), SDL_floor(3), SDL_trunc(3), SDL_round(3), SDL_lround(3)